Skip to main content
GET
/
api
/
public
/
v2
/
tables
/
{table_id}
/
sheets
/
{sheet_id}
/
score
Get Table Sheet Score
curl --request GET \
  --url https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/score \
  --header 'X-API-KEY: <api-key>'
{
  "success": true,
  "sheet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "columns": [
    {
      "column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "score": 123,
      "included_count": 123,
      "excluded_count": 123
    }
  ],
  "aggregate_score": 123,
  "total_rows": 123,
  "scored_rows": 123,
  "excluded_rows": 123,
  "calculated_at": "2023-11-07T05:31:56Z",
  "score_matrix": [
    [
      123
    ]
  ],
  "score_matrix_metrics": [
    {
      "key": "<string>",
      "label": "<string>",
      "positive_metric": true
    }
  ],
  "score_calculation_error": "<string>",
  "has_custom_scoring": true,
  "score_configuration": {
    "score_config": {}
  },
  "overall_score": 123,
  "details": {},
  "aggregate": {},
  "per_column": {}
}
Retrieve the current score payload for a sheet. When explicit scoring is not configured, PromptLayer returns the default score it can infer from output columns. Configured scoring responses include status and configuration metadata.

Authorizations

X-API-KEY
string
header
required

Headers

X-API-KEY
string
required

Your PromptLayer API key. The key's workspace scopes table resources for this request.

Path Parameters

table_id
string<uuid>
required

Table ID.

sheet_id
string<uuid>
required

Table sheet ID.

Response

Successful response

success
boolean
required
sheet_id
string<uuid>
required
scoring_type
enum<string> | null
required
Available options:
auto,
boolean,
numeric,
custom,
null
columns
TableSheetScoreColumn · object[]
required
aggregate_score
number | null
required
total_rows
integer
required
scored_rows
integer
required
excluded_rows
integer
required
calculated_at
string<date-time> | null
required
score_matrix
((number | string | TableSheetScoreCellObject · object)[])[] | null
required
score_matrix_metrics
TableSheetScoreMetric · object[] | null
required
status
enum<string> | null
required
Available options:
queued,
running,
completed,
failed,
null
score_calculation_error
string | null
required
has_custom_scoring
boolean
required
score_configuration
TableSheetScoreConfiguration · object
required
score_type
enum<string>
required
Available options:
none,
single_column,
multi_column,
custom
overall_score
number | null
required
details
object
required
aggregate
object
required
per_column
object
required